//  The C++ Booch Components (Version 2.0)
//  (C) Copyright 1990-1993 Grady Booch. All Rights Reserved.
//
//  BCStoreU.h
//
//  This file contains the declaration of the unmanaged storage
//  management class utility

#ifndef BCSTOREU_H
#define BCSTOREU_H 1

#include <stddef.h>

// Class utility providing an unmanaged memory allocation/deallocation protocol

class BC_CUnmanaged {
public:

  static void* Allocate(size_t s) 
    {return ::operator new(s);}
  static void Deallocate(void* p, size_t) 
    {::operator delete(p);}

private:

  BC_CUnmanaged() 
    {}
  BC_CUnmanaged(BC_CUnmanaged&) 
    {}
  void operator=(BC_CUnmanaged&) 
    {}
  void operator==(BC_CUnmanaged&) 
    {}
  void operator!=(BC_CUnmanaged&) 
    {}

};

#endif
